View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000567aMuleFeature Requestpublic2005-09-03 01:292008-02-27 14:56
Reporterknagisa 
Assigned ToGonoszTopi 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionSVN 
Target VersionFixed in VersionSVN 
Summary0000567: Copy ED2K link to clipboard don't work on amulegui
DescriptionThere are the results of all "Copy ED2K link to clipboard...":

Copy ED2K link to clipboard --> _
Copy ED2K link to clipboard (Source) --> _
Copy ED2K link to clipboard (Hostname) --> _
Copy ED2K link to clipboard (HTML) --> <a href="">[NAMEFILE]</a>
Copy ED2K link to clipboard (AICH info) --> _

where "[NAMEFILE]" is the name of the file, and "_" is nothing.

I'm using the 20050902 CVS.

Thanks

KNagisa
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Filesdiff file icon amule-gui.diff [^] (632 bytes) 2006-03-07 16:44 [Show Content]

- Relationships
has duplicate 0000584resolvedGonoszTopi Amulegui doesn't copy elinks to clipboard 
has duplicate 0000893resolvedKry amulegui: "copy ed2k link to clipboard" does not work for search results 

-  Notes
(0001264)
knagisa (reporter)
2005-09-03 01:32

I don't know if this is important but, i'm using "wxGTK2 v2.6.0" compiled following the wiki.

Thanks

KNagisa
(0001331)
D10Tmain (reporter)
2005-10-23 00:31

hi

i`m not a wx expert but i found fix for this (don`t know is it right solution but it works :) in 2.0.3 and latest CVS wx2.6.0

changed in amule-gui.cpp line
wxTheClipboard->UsePrimarySelection(TRUE);
to
wxTheClipboard->UsePrimarySelection(FALSE);
(i think it should not use primary selection)
or delete this line

follows changed function:

// Sets the contents of the clipboard. Prior content erased.
bool CamuleGuiBase::CopyTextToClipboard(wxString strText)
{
        bool ClipBoardOpen = wxTheClipboard->Open();
        if (ClipBoardOpen) {
                wxTheClipboard->UsePrimarySelection(FALSE); // or delete this
                wxTheClipboard->SetData(new wxTextDataObject(strText));
                wxTheClipboard->Close();
        }

        return ClipBoardOpen;
}
(0001342)
pcmaster (reporter)
2005-10-23 11:30

Same problem with 2.0.3 version.

Selecting a filename -> right mouse, the "Copy ED2k link to clipboard" and Copy ED2k ling to clipboard (HTML)" have both the same problem.
(0001774)
pcmaster (reporter)
2006-01-12 22:42

In 2.1.0 the bug is still unresolved.
(0001873)
D10Tmain (reporter)
2006-03-07 16:47

attached patch (amule-gui.diff) fixes the clipboard issue (4 me). tested in 2.1.0.
(0002692)
Xaignar (manager)
2008-02-27 14:56

This has now been fixed.

Cheers.

- Issue History
Date Modified Username Field Change
2005-09-03 01:29 knagisa New Issue
2005-09-03 01:32 knagisa Note Added: 0001264
2005-09-03 09:24 GonoszTopi Status new => assigned
2005-09-03 09:24 GonoszTopi Assigned To => GonoszTopi
2005-09-30 13:31 GonoszTopi Relationship added related to 0000584
2005-09-30 13:31 GonoszTopi Relationship deleted related to 0000584
2005-09-30 13:32 GonoszTopi Relationship added has duplicate 0000584
2005-10-23 00:31 D10Tmain Note Added: 0001331
2005-10-23 11:30 pcmaster Note Added: 0001342
2006-01-12 22:42 pcmaster Note Added: 0001774
2006-03-07 16:44 D10Tmain File Added: amule-gui.diff
2006-03-07 16:47 D10Tmain Note Added: 0001873
2007-01-09 01:24 Kry Relationship added has duplicate 0000893
2008-02-27 14:56 Xaignar Status assigned => resolved
2008-02-27 14:56 Xaignar Fixed in Version => SVN
2008-02-27 14:56 Xaignar Resolution open => fixed
2008-02-27 14:56 Xaignar Note Added: 0002692


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker